// Basic DAC test
#include <CrossRoads.h>

AD5662_USART1<DAC_SYNC_PIN> dac;
//MCP4921_USART1<DAC_SYNC_PIN> dac;
// bit-bang versions
//AD5662<DAC_SYNC_PIN, DAC_DIN_PIN, DAC_SCLK_PIN> dac;
//MCP4921<DAC_SYNC_PIN, DAC_DIN_PIN, DAC_SCLK_PIN> dac;
//------------------------------------------------------------------------------
void setup() {
  dac.begin();
  // Send counting pattern.
  for (uint16_t data = 0; ; data++) {
    // simulate ISR
    noInterrupts();
    dac.write(data);
    interrupts();
    delayMicroseconds(100);
  }
}
//------------------------------------------------------------------------------
void loop() {}